Page MenuHomePhabricator

No search results are displayed when Mobile site is used
Closed, ResolvedPublic2 Story Points

Description

When using the Mobile version of Wikipedia no search results are displayed when the search bar is used. This was originally seen on Amazon Kindle, but was reproduced using FireFox on Mac OS X.
This problem is a regression. Search worked properly in the past.

Steps:

  • Open https://en.m.wikipedia.org
  • Key-in a search term that is known to locate many pages, such as "copper"
  • Use the [Enter] key to launch the search operation.

At this point the UI displays the search competed, zero results, information.

This problem can be replicated on an old version of Firefox 3 if you need to reproduce it.
It seems that the search submit button is wrapped in a link so the search doesn't submit on certain browsers and instead follows the link.
We should remove the link as it should not be necessary. Submitting the form does the same thing.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2017, 3:48 PM
TenebrisCaelo renamed this task from No search results are displayed wne Mobile site is used to No search results are displayed when Mobile site is used.Apr 15 2017, 3:49 PM
TenebrisCaelo updated the task description. (Show Details)

Use the [Enter] key to launch the search operation.

That's not even needed using the mobile site on Firefox on Linux, the search results are already listed on the fly...

Jdlrobson added a subscriber: Jdlrobson.

Could you clarify the steps a little more.
If I search this happens to me:


If you click "Search within pages" I get:
(url https://en.m.wikipedia.org/w/index.php?search=Copper&fulltext=search&searchToken=e1ltbx8s2745vnv9fg0ha3gho)
If I click enter instead of clicking "Search within pages" I get the top result.

Here is the sequence as seen on the Kindle, Paperwhite, firmware 5.8.7.0.1
The Kindle is where this needs to work properly, use of the older FireFox on OS X just seemed a convenient illustration of the issue.

Thanks @TenebrisCaelo the screenshots highlight the issue really well. I'm not sure we have a Kindle but I noticed you said "the older FireFox on OS X" -Which version of Firefox were you using?
Could you share the URL of screenshot 3? It might give a significant clue.

TenebrisCaelo added a comment.EditedApr 20 2017, 1:36 AM

Yes I see the same problem if I open the mobile site in an "older" Firefox. It identifies itself as "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28"

The URL shown by the Kindle when the 3rd screen appears is "https://en.m.wikipedia.org/wiki/Special:Search"

In case anyone is curious, if I key-in a search on that 3rd screen, no results appear after pressing [Enter] to launch the search. That same empty-search page reappears.

I can indeed replicate the same problem on Firefox 3 hah. It seems that the search submit button is wrapped in a link so the search doesn't submit on certain browsers.

Thanks for the help debugging I think we can fix this easily!

Change 349261 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Search button should not be wrapped in a link

https://gerrit.wikimedia.org/r/349261

Jdlrobson triaged this task as High priority.Apr 20 2017, 11:06 PM
Jdlrobson moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
Jdlrobson updated the task description. (Show Details)Apr 24 2017, 7:17 PM
MBinder_WMF set the point value for this task to 2.Apr 25 2017, 4:32 PM
pmiazga reassigned this task from Jdlrobson to ABorbaWMF.May 3 2017, 7:59 PM
pmiazga moved this task from Needs Code Review to Needs QA on the Reading-Web-Sprint-96 board.
pmiazga added a subscriber: pmiazga.May 3 2017, 8:02 PM

@ABorbaWMF could you verify this task doesn't break UI on tablets? I tested it on Chrome simulator and Samsung Note 10.1 and it looks great. The Search functionality is an important feature and we should be 100% sure it works on most common devices.

Change 349261 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Search button should not be wrapped in a link

https://gerrit.wikimedia.org/r/349261

Tested on en.wikipedia.beta.wmflabs.org/wiki/Main_Page

I was able to perform searches using older versions of Firefox, but I do not have a kindle. The issue appears to be fixed from my perspective.

Systems -
Windows XP2 - Firefox 3.0.11
Windows XP2 - Firefox 3.6
Mac OS 10.7 - Firefox 3.5
Mac OS 10.7 - Firefox 4.0

I also tested some newer browsers to make sure nothing broke. Things appear to be working.

Jdlrobson reassigned this task from ABorbaWMF to ovasileva.May 8 2017, 5:04 PM
Jdlrobson added a subscriber: ABorbaWMF.
ovasileva closed this task as Resolved.May 8 2017, 5:17 PM